#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()


setup(
    author="Lloyd Carothers",
    author_email='software-support@passcal.nmt.edu',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved ::  GNU General Public License v3 (GPLv3)',
        'Natural Language :: English',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3.6',
    ],
    description="Prepare SEED data for shipment to PASSCAL.",
    entry_points={
        'console_scripts': [
            'data2passcal=data2passcal.data2passcal:main',
        ],
    },
    install_requires=[
        "mock;python_version<'3.3'",
        "configparser;python_version<'3.2'"
    ],
    setup_requires=[],
    extras_require={
        'dev': [
            'pip',
            'bumpversion',
            'wheel',
            'watchdog',
            'flake8',
            'tox',
            'coverage',
            'Sphinx',
            'twine',
            'pytest'
        ]
    },
    license="GNU General Public License v3",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='data2passcal',
    name='data2passcal',
    packages=find_packages(include=['data2passcal']),
    test_suite='tests',
    url='https://git.passcal.nmt.edu/passoft/data2passcal',
    version='2020.107',
    zip_safe=False,
)
